#include "defines.h"


/*--------------------------------------------------------------------------------*
 | Matrices de conversion pour les diffrents espaces de couleur.                 |
 *--------------------------------------------------------------------------------*/

/* Conversion matrices for RGB <=> YUV */

double RGB_TO_YUV_MATRIX[3][3] = {   { 0.299,  0.587,  0.114},
											{-0.148, -0.289,  0.437},
											{ 0.615, -0.515, -0.100}};

double YUV_TO_RGB_MATRIX[3][3] = {   {1.0,  0.000,  1.140},
											{1.0, -0.395, -0.581},
											{1.0,  2.032,  0.000}};


/* Conversion matrices for RGB <=> XYZ */

double RGB_TO_XYZ_MATRIX[3][3] = {   {0.618, 0.177, 0.205},
											{0.299, 0.587, 0.114},
											{0.000, 0.056, 0.944}};

double XYZ_TO_RGB_MATRIX[3][3] = {   { 1.876, -0.533, -0.343},
											{-0.967,  1.998, -0.031},
											{ 0.057, -0.118,  1.061}};


/* 8x8 circular mask */
double MASQUE[DIM_MASK] = {
	0.0, 0.0, 1.0, 1.0, 1.0, 1.0, 0.0, 0.0,
	0.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 0.0,
	1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0,
	1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0,
	1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0,
	1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0,
	0.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 0.0,
	0.0, 0.0, 1.0, 1.0, 1.0, 1.0, 0.0, 0.0,
};
